{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_RNE"; 
            externalType = VARCHAR2; 
            name = cRne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 8; 
        }, 
        {
            columnName = "C_TYPE_CONTRAT_TRAV"; 
            externalType = VARCHAR2; 
            name = cTypeContratTrav; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_DEPART"; 
            externalType = NUMBER; 
            name = noDepart; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_CONTRAT"; 
            externalType = NUMBER; 
            name = noSeqContrat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_ANNULATION"; 
            externalType = VARCHAR2; 
            name = temAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_BUDGET_PROPRE"; 
            externalType = VARCHAR2; 
            name = temBudgetPropre; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_FONCTIONNAIRE"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TEM_ANNULATION"; }; 
            name = temFonctionnaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_RECHERCHE"; 
            externalType = VARCHAR2; 
            name = temRecherche; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TRHU_ORDRE"; 
            externalType = NUMBER; 
            name = trhuOrdre; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TOF_CODE"; 
            externalType = VARCHAR2; 
            name = tofCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_SAUVADET"; 
            externalType = VARCHAR2; 
            name = temSauvadet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CIR"; 
            externalType = VARCHAR2; 
            name = temCIR; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "D_DEB_CONTRAT_TRAV"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CONTRAT_TRAV"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_ANTICIPEE"; 
            externalType = DATE; 
            name = dateFinAnticipee; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        cRne, 
        temAnnulation, 
        temBudgetPropre, 
        temFonctionnaire, 
        temRecherche, 
        commentaire, 
        noDepart, 
        trhuOrdre, 
        tofCode, 
        temSauvadet, 
        temCIR
    ); 
    className = "org.cocktail.mangue.modele.mangue.individu.EOContrat"; 
    classProperties = (
        temAnnulation, 
        dCreation, 
        dModification, 
        toRne, 
        toTypeContratTravail, 
        toIndividu, 
        avenants, 
        temBudgetPropre, 
        temFonctionnaire, 
        noDossierPers, 
        temRecherche, 
        commentaire, 
        depart, 
        typeRecrutement, 
        tofCode, 
        toOrigineFinancement, 
        temSauvadet, 
        temCIR, 
        dateDebut, 
        dateFin, 
        dateFinAnticipee
    ); 
    externalName = "MANGUE.CONTRAT"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            temAnnulation, 
            toTypeContratTravail, 
            toIndividu, 
            avenants, 
            toRne, 
            temBudgetPropre, 
            temFonctionnaire, 
            noDossierPers, 
            temRecherche, 
            commentaire, 
            depart, 
            typeRecrutement, 
            dCreation, 
            dModification, 
            tofCode, 
            toOrigineFinancement, 
            temSauvadet, 
            temCIR, 
            dateDebut, 
            dateFin, 
            dateFinAnticipee
        ); 
        "_nameInObjectStore" = CONTRAT; 
    }; 
    name = Contrat; 
    primaryKeyAttributes = (noSeqContrat); 
    relationships = (
        {
            destination = ContratAvenant; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noSeqContrat; sourceAttribute = noSeqContrat; }); 
            name = avenants; 
        }, 
        {
            destination = Depart; 
            internalInfo = {"_nameInObjectStore" = motifDepart; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noDepart; sourceAttribute = noDepart; }); 
            name = depart; 
        }, 
        {
            destination = IndividuUlr; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = toIndividu; 
        }, 
        {
            destination = TypeOrigineFinancement; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = tofCode; }); 
            name = toOrigineFinancement; 
        }, 
        {
            destination = Rne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cRne; }); 
            name = toRne; 
        }, 
        {
            destination = TypeContratTravail; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cTypeContratTrav; }); 
            name = toTypeContratTravail; 
        }, 
        {
            destination = TypeRecrutementHu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = trhuOrdre; sourceAttribute = trhuOrdre; }); 
            name = typeRecrutement; 
        }
    ); 
}
